import 'package:flutter_modular/flutter_modular.dart';
import 'package:mobx/mobx.dart';
import 'package:snowtodoapp/di/di.dart';
import 'package:snowtodoapp/domain/entities/auth_status.dart';
import 'package:snowtodoapp/domain/usecases/auth/get_auth_status_stream.dart';
import 'package:snowtodoapp/domain/usecases/auth/get_user.dart';

part 'splash_controller.g.dart';

class SplashController = _SplashControllerBase with _$SplashController;

abstract class _SplashControllerBase with Store {
  final getUser = getIt<GetUser>();
  final authStatusStream = getIt<GetAuthStatusStream>()();

  _SplashControllerBase() {
    authStatusStream.listen(_authListener);
    getUser();
  }

  void _authListener(AuthStatus status) {
    if (status == AuthStatus.login) {
      Modular.to.popUntil((route) => route.isFirst);
      Modular.to.pushReplacementNamed('/home');
    } else if (status == AuthStatus.logoff) {
      Modular.to.popUntil((route) => route.isFirst);
      Modular.to.pushReplacementNamed('/login');
    }
  }
}
