import 'package:injectable/injectable.dart';
import 'package:snowtodoapp/domain/entities/auth_status.dart';
import 'package:snowtodoapp/domain/repositories/auth/auth_repository.dart';
import 'package:snowtodoapp/domain/usecases/base/base_stream_use_case.dart';

@injectable
class GetAuthStatusStream extends BaseStreamUseCase<void, AuthStatus> {
  final AuthRepository _repository;

  GetAuthStatusStream(this._repository);

  @override
  Stream<AuthStatus> call([void params]) => _repository.getAuthStatusStream();
}
