import 'package:injectable/injectable.dart';
import 'package:snowtodoapp/domain/entities/todo_entity.dart';
import 'package:snowtodoapp/domain/repositories/todo_list/todo_list_repository.dart';

import '../base/base_future_use_case.dart';

@injectable
class GetTodoList implements BaseFutureUseCase<void, List<TodoItem>> {
  final TodoListRepository _repository;

  GetTodoList(this._repository);

  @override
  Future<List<TodoItem>> call([void params]) => _repository.getToDoList();
}
