import 'package:flutter_modular/flutter_modular_test.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:i18n_extension/i18n_extension.dart';
import 'package:projectbasesnow/config/flavor_config.dart';
import 'package:snowtodoapp/app/app_module.dart';
import 'package:snowtodoapp/app/pages/home/home_module.dart';
import 'package:snowtodoapp/app/pages/home/home_page.dart';
import 'package:snowtodoapp/app/pages/login/login_module.dart';
import 'package:snowtodoapp/app/pages/login/pages/login/login_page.dart';
import 'package:snowtodoapp/app/pages/login/pages/register/register_page.dart';
import 'package:snowtodoapp/di/di.dart';
import 'package:snowtodoapp/flavor_values.dart';

void main() {
  setUp(() {
    FlavorConfig(
      flavor: Flavor.production,
      values: FlavorValuesApp(baseUrl: ""),
    );
    configureInjection();
    initModule(AppModule(), initialModule: true);
    initModule(LoginModule());
    initModule(HomeModule());
  });

  group('Login module i18n tests', () {
    testWidgets('Verify if the LoginPage have all translations',
        (tester) async {
      await tester.pumpWidget(buildTestableWidget(LoginPage()));
      expect(Translations.missingKeys, isEmpty);
      expect(Translations.missingTranslations, isEmpty);
    });

    testWidgets('Verify if the RegisterPage have all translations',
        (tester) async {
      await tester.pumpWidget(buildTestableWidget(RegisterPage()));
      expect(Translations.missingKeys, isEmpty);
      expect(Translations.missingTranslations, isEmpty);
    });
  });

  group('Home module i18n tests', () {
    testWidgets('Verify if the HomePage have all translations', (tester) async {
      await tester.pumpWidget(buildTestableWidget(HomePage()));
      expect(Translations.missingKeys, isEmpty);
      expect(Translations.missingTranslations, isEmpty);
    });
  });
}
